import { Icon } from '../../../enum/icon.enum';
import { TransactionInfoResponse } from '@colijnit/transactionapi/build/model/transaction-info-response.bo';
import { IconCacheService } from '../../../service/icon-cache.service';
import { TransactionCfgName } from '../../../enum/transaction-cfg-name.enum';
export declare class TransactionHeaderComponent {
    iconCacheService: IconCacheService;
    readonly cfgNames: typeof TransactionCfgName;
    readonly icons: typeof Icon;
    toggleHeader: boolean;
    showDialog: boolean;
    set transaction(value: TransactionInfoResponse);
    get transaction(): TransactionInfoResponse;
    showClass(): boolean;
    isPurchaseOrder: boolean;
    isInterbranchOrder: boolean;
    isCashOrQuotationOrder: boolean;
    private _transaction;
    constructor(iconCacheService: IconCacheService);
    expandHeader(): void;
}
